Bug 754395 - cannot connect to OCS using purple-sipe. Pidgin works ok.
Summary: cannot connect to OCS using purple-sipe. Pidgin works ok.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-haze
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-16 11:27 UTC by birger
Modified: 2013-05-17 10:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-21 03:21:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 63326 None None None Never

Description birger 2011-11-16 11:27:09 UTC
Description of problem:
Cannot connect to OCS using purple-sipe

Version-Release number of selected component (if applicable):
purple-sipe-1.12.0-1.fc16.x86_64

How reproducible:
Cannot connect no matter how I fill out the fields. Pidgin works fine.

Steps to Reproduce:
1. Fill out connection data
2.
3.
  
Actual results:
Connection just keeps spinning... No errors.

Expected results:
Connection like pidgin

Additional info:
In the past I got around this by setting up the connection in pidgin and then restarting empathy with no connections defined. I could then import from pidgin and it worked. Now even that doesn't work. Pidgin connect just fine after asking me to accept a certificate. Empathy never asks about the certificate.

Comment 1 Bojan Smojver 2012-12-17 23:26:58 UTC
Yeah, same in F-17. Pidgin works with Office Communicator (over TLS). Empathy does not (it says it cannot retrieve account data from the server), although the same parameters are specified in the account as in Pidgin.

Comment 2 Fedora End Of Life 2013-01-16 10:28:09 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 birger 2013-01-17 10:20:29 UTC
still a problem in f18! pidgin works fine, empathy does not!

Comment 4 Louis van Dyk 2013-03-28 00:52:21 UTC
I have had the same problem with Empathy.  None of the updates have fixed it either.  My credentials are correct - and it works with Pidgin - but when OCS tries to connect it just displays the error:
"Failed to retrieve your personal information from the server."

I am running Fedora 17 x86_64.

[root@fedora log]# rpm -qa | grep -E "empathy|telepath|sipe"
telepathy-filesystem-0.0.2-3.fc17.noarch
purple-sipe-1.14.1-1.fc17.x86_64
empathy-3.4.2.3-1.fc17.x86_64
telepathy-gabble-0.16.5-1.fc17.x86_64
python-telepathy-0.15.19-4.fc17.noarch
telepathy-idle-0.1.12-1.fc17.x86_64
telepathy-salut-0.8.0-1.fc17.x86_64
remmina-plugins-telepathy-1.0.0-4.fc17.x86_64
telepathy-mission-control-5.12.3-1.fc17.x86_64
telepathy-logger-0.4.0-2.fc17.x86_64
telepathy-haze-0.6.0-1.fc17.x86_64
telepathy-farstream-0.4.0-2.fc17.x86_64
telepathy-glib-0.18.2-1.fc17.x86_64

Comment 5 Stefan Becker 2013-04-08 11:49:20 UTC
I can reproduce this problem on F18. I have a fresh GNOME F18 x86_64 install running in a VM, updated to the latest packages:

empathy-3.6.4-2.fc18.x86_64
telepathy-haze-0.6.0-2.fc18.x86_64
libpurple-2.10.7-2.fc18.x86_64
purple-sipe-1.15.1-1.fc18.x86_64


The issue is related to the password handling:

 - haze no longer seems to store the "Password" advanced setting in the generated accounts.xml. Therefore SIPE doesn't see a password on the account and initiates a UI action for it

 - haze doesn't seem to intercept the password dialog and forward it to telepathy

-> so connection setup is stuck


To verify this I tried the following: at work I can use Kerberos. So I ran "kinit", set authentication to "krb5" and selected "SSO"

-> account goes online without problems.


A possible work-around might be to manually add the password for the sipe account to the GNOME password manager (seahorse & friends). Then my guess is that telepathy-haze will find the password for the account and add it to the generated accounts.xml.


This clearly needs to be fixed upstream in telepathy-haze. I would suggest to file a bug for it.

Comment 6 Stefan Becker 2013-04-09 16:48:22 UTC
I've created an upstream bug with an implementation proposal. With the supplied patch, I was able to login by providing the password in the account settings or by filling in the password request generated by Empathy.

Comment 7 Stefan Becker 2013-04-10 19:05:04 UTC
I generated a scratch build for F18 with the patch I proposed to upstream:

   http://koji.fedoraproject.org/koji/taskinfo?taskID=5239135

It would be nice if you could try it out.

Comment 8 Brian Pepple 2013-04-10 20:06:15 UTC
I've got a family emergency and probably won't get a chance to look at this till next week. I'll keep an eye on the upstream bug for them to review you're patch.

Comment 9 Stefan Becker 2013-04-11 15:00:56 UTC
I've updated the upstream patch after some review comments. Here is the scratch build for F18:

   http://koji.fedoraproject.org/koji/taskinfo?taskID=5242004

Comment 10 Fedora Update System 2013-04-11 20:23:50 UTC
telepathy-haze-0.7.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/telepathy-haze-0.7.0-3.fc19

Comment 11 Fedora Update System 2013-04-11 20:48:32 UTC
telepathy-haze-0.6.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/telepathy-haze-0.6.0-3.fc18

Comment 12 Fedora Update System 2013-04-12 22:27:31 UTC
Package telepathy-haze-0.6.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing telepathy-haze-0.6.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5557/telepathy-haze-0.6.0-3.fc18
then log in and leave karma (feedback).

Comment 13 Louis van Dyk 2013-04-13 23:01:04 UTC
Yes!!  I have tested it on my F18 Virtual Machine and it works 100%.

May I ask, will there be a F17 release?  I have not yet converted my office notebook to F18.

Once again, many thanks for your efforts.

Comment 14 Brian Pepple 2013-04-14 01:46:36 UTC
(In reply to comment #13)
> May I ask, will there be a F17 release?

No, F17 is only getting security updates.

Comment 15 Bojan Smojver 2013-04-14 09:19:10 UTC
Better, for sure, but not quite there - at least not for me. It gets stuck in "Connecting..." and never completes. No idea why...

Comment 16 Bojan Smojver 2013-04-14 11:44:27 UTC
(In reply to comment #15)
> Better, for sure, but not quite there - at least not for me. It gets stuck
> in "Connecting..." and never completes. No idea why...

That is a variation of bug #579116.

Comment 17 Stefan Becker 2013-04-14 16:58:23 UTC
Brian: Will added some tests for the new purple_account_request_password() and found one error in the new code. Please consider cherry-picking 4541819cc4133d1dfe6d3766c6cf8f0204a4c65f for the Fedora package.

Comment 18 Louis van Dyk 2013-04-15 10:23:24 UTC
@Bojan:  Something that was added to the original purple-sip latest update was that if SSO (single sign on) was checked, then your login credentials would be ignored.  As a first step I would make sure that in the options you have unchecked SSO.

Hope that helps you.

Comment 19 Bojan Smojver 2013-04-15 11:29:25 UTC
(In reply to comment #18)
> @Bojan:  Something that was added to the original purple-sip latest update
> was that if SSO (single sign on) was checked, then your login credentials
> would be ignored.  As a first step I would make sure that in the options you
> have unchecked SSO.
> 
> Hope that helps you.

It is not that. I ran empathy debugger and the problem is that empathy doesn't like certs signed by private authorities (e.g. company). So, one has to install such root ca by hand to make things work (and it does work then). Surely, users should be prompted to accept/decline such roots. Especially given the fact that this is office communicator - many companies will have their own cert authorities.

In other words, see comment #16.

Comment 20 Fedora Update System 2013-04-20 19:46:03 UTC
telepathy-haze-0.7.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2013-04-21 03:21:58 UTC
telepathy-haze-0.6.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Louis van Dyk 2013-04-22 10:00:34 UTC
(In reply to comment #19)
> It is not that. I ran empathy debugger and the problem is that empathy
> doesn't like certs signed by private authorities (e.g. company). So, one has
> to install such root ca by hand to make things work (and it does work then).
> Surely, users should be prompted to accept/decline such roots. Especially
> given the fact that this is office communicator - many companies will have
> their own cert authorities.
> 
> In other words, see comment #16.

Ah, yes, I *DO* agree.

I have just installed a fresh Fedora 18 on my laptop - thinking that I could now use Empathy again.  My Office Communicator also just stays in "connecting" state and tells me nothing more.  

I agree that the certificate thing *needs* to be more seamless like it is in Pidgin.

I will CC myself to bug #579116 also.

Comment 23 hrafnkellbrimar 2013-05-17 10:29:49 UTC
This bug affects me too. Happens just as described, keeps trying to connect and doesn't accept my company password. Pidgin works fine. telepathy-haze-0.6.0-3.fc18 does not fix this at all.


Note You need to log in before you can comment on or make changes to this bug.